Package org.jfree.layouting.input.style.parser.stylehandler.text

## Class TextDecorationWidthReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler
  - - org.jfree.layouting.input.style.parser.stylehandler.border.BorderWidthReadHandler
    - - org.jfree.layouting.input.style.parser.stylehandler.text.TextDecorationWidthReadHandler

- All Implemented Interfaces:
    `CSSCompoundValueReadHandler`, `CSSValueReadHandler`

      public class TextDecorationWidthReadHandler
      extends BorderWidthReadHandler

  Creation-Date: 02.12.2005, 20:10:24
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextDecorationWidthReadHandler​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected CSSValue` | `parseWidth​(org.w3c.css.sac.LexicalUnit value)` |

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.AbstractWidthReadHandler

      `createValue, isAllowAuto, isAllowPercentages`

    - ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.border.BorderWidthReadHandler

      `createValues, getAffectedKeys`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextDecorationWidthReadHandler

          public TextDecorationWidthReadHandler​()

  - ### Method Detail

    - #### parseWidth

          protected CSSValue parseWidth​(org.w3c.css.sac.LexicalUnit value)

      Overrides:
        `parseWidth` in class `BorderWidthReadHandler`